## golang-github-linode-linodego 1.18.0

=== Makefile ===
-include .env
BIN_DIR := $(GOPATH)/bin

INTEGRATION_DIR := ./test/integration
FIXTURES_DIR    := $(INTEGRATION_DIR)/fixtures

TEST_TIMEOUT := 5h

SKIP_DOCKER       ?= 0
GOLANGCILINT      := golangci-lint
GOLANGCILINT_IMG  := golangci/golangci-lint:latest
GOLANGCILINT_ARGS := run

LINODE_URL := https://api.linode.com/

PACKAGES := $(shell go list ./... | grep -v integration)

SKIP_LINT ?= 0

.PHONY: build vet test refresh-fixtures clean-fixtures lint run_fixtures sanitize fixtures godoc testint testunit tidy

test: build lint testunit testint

citest: lint test

testunit:
	go test -v $(PACKAGES) $(ARGS)

testint:
	cd test && make test

build: vet lint
	go build ./...
	cd k8s && go build ./...

vet:
	go vet ./...
	cd k8s && go vet ./...

lint:
ifeq ($(SKIP_LINT), 1)
	@echo Skipping lint stage
else ifeq ($(SKIP_DOCKER), 1)
	$(GOLANGCILINT) $(GOLANGCILINT_ARGS)
else
	docker run --rm -v $(shell pwd):/app -w /app $(GOLANGCILINT_IMG) $(GOLANGCILINT) $(GOLANGCILINT_ARGS)
endif

clean-fixtures:
	@-rm fixtures/*.yaml

refresh-fixtures: clean-fixtures fixtures

run_fixtures:
	@echo "* Running fixtures"
	cd $(INTEGRATION_DIR) && \
	LINODE_FIXTURE_MODE="record" \
	LINODE_TOKEN=$(LINODE_TOKEN) \
	LINODE_API_VERSION="v4beta" \
	LINODE_URL="$(LINODE_URL)" \
	GO111MODULE="on" \
	go test -timeout=$(TEST_TIMEOUT) -v $(ARGS)

sanitize:
	@echo "* Sanitizing fixtures"
	@for yaml in $(FIXTURES_DIR)/*yaml; do \
		sed -E -i.bak \
			-e 's_stats/20[0-9]{2}/[1-9][0-2]?_stats/2018/1_g' \
			-e 's/(([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe80:(:[0-9a-fA-F]{0,4}){0,4}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])|([0-9a-fA-F]{1,4}:){1,4}:((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9]))/1234::5678/g' \
			$$yaml; \
	done
	@find $(FIXTURES_DIR) -name *yaml.bak -exec rm {} \;

fixtures: run_fixtures sanitize

godoc:
	@godoc -http=:6060

tidy:
	go mod tidy
	cd k8s && go mod tidy
	cd test && go mod tidy

=== test/Makefile ===
.PHONY: test

test:
	@LINODE_FIXTURE_MODE="play" \
	LINODE_TOKEN="awesometokenawesometokenawesometoken" \
	LINODE_API_VERSION="v4beta" \
	GO111MODULE="on" \
	go test -v ./integration $(ARGS)

## golang-github-linode-linodego 1.19.0

=== debian/changelog ===
golang-github-linode-linodego (1.19.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 19 Jul 2023 17:14:23 +0000

golang-github-linode-linodego (1.18.0-2) unstable; urgency=medium

  * Source-only re-upload for migration to testing

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 15 Jul 2023 21:03:48 +0000

golang-github-linode-linodego (1.18.0-1) unstable; urgency=medium

  * Initial release (Closes: #1040866)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 11 Jul 2023 19:04:45 +0000

=== debian/control ===
Source: golang-github-linode-linodego
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-go-resty-resty-dev,
               golang-github-google-go-cmp-dev,
               golang-gopkg-ini.v1-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-linode-linodego
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-linode-linodego.git
Homepage: https://github.com/linode/linodego
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/linode/linodego

Package: golang-github-linode-linodego-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-go-resty-resty-dev,
         golang-github-google-go-cmp-dev,
         golang-gopkg-ini.v1-dev,
         ${misc:Depends},
Description: Go client for Linode REST v4 API
 Go client for Linode REST v4 API (https://developers.linode.com/api/v4).

## golang-github-linode-linodego 1.20.0

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,9 @@
 
 testint:
 	cd test && make test
+
+smoketest:
+	cd test && make smoketest
 
 build: vet lint
 	go build ./...

=== debian/changelog ===
golang-github-linode-linodego (1.20.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 05 Aug 2023 15:06:01 +0000

## golang-github-linode-linodego 1.23.0

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 GOLANGCILINT_IMG  := golangci/golangci-lint:latest
 GOLANGCILINT_ARGS := run
 
-LINODE_URL := https://api.linode.com/
+LINODE_URL ?= https://api.linode.com/
 
 PACKAGES := $(shell go list ./... | grep -v integration)

=== debian/changelog ===
golang-github-linode-linodego (1.23.0-1) unstable; urgency=medium

  * New upstream release
  * Add new dependency golang-golang-x-net-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 04 Oct 2023 17:19:14 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                golang-any,
                golang-github-go-resty-resty-dev,
                golang-github-google-go-cmp-dev,
+               golang-golang-x-net-dev,
                golang-gopkg-ini.v1-dev,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-linode-linodego
@@ -22,6 +23,7 @@
 Multi-Arch: foreign
 Depends: golang-github-go-resty-resty-dev,
          golang-github-google-go-cmp-dev,
+         golang-golang-x-net-dev,
          golang-gopkg-ini.v1-dev,
          ${misc:Depends},
 Description: Go client for Linode REST v4 API

## golang-github-linode-linodego 1.25.0

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 SKIP_LINT ?= 0
 
-.PHONY: build vet test refresh-fixtures clean-fixtures lint run_fixtures sanitize fixtures godoc testint testunit tidy
+.PHONY: build vet test refresh-fixtures clean clean-cov clean-fixtures lint run_fixtures sanitize fixtures godoc testint testunit testcov tidy
 
 test: build lint testunit testint
 
@@ -28,6 +28,15 @@
 
 testint:
 	cd test && make test
+
+testcov-func:
+	@go test -v -coverprofile="coverage.txt" . > /dev/null 2>&1
+	@go tool cover -func coverage.txt
+
+# Note for WSL Users, set BROWSER=wslview
+testcov-html:
+	@go test -v -coverprofile="coverage.txt" . > /dev/null 2>&1
+	@go tool cover -html coverage.txt
 
 smoketest:
 	cd test && make smoketest
@@ -49,8 +58,13 @@
 	docker run --rm -v $(shell pwd):/app -w /app $(GOLANGCILINT_IMG) $(GOLANGCILINT) $(GOLANGCILINT_ARGS)
 endif
 
+clean: clean-cov
+
+clean-cov:
+	@-rm -f coverage.txt
+
 clean-fixtures:
-	@-rm fixtures/*.yaml
+	@-rm -f fixtures/*.yaml
 
 refresh-fixtures: clean-fixtures fixtures

=== debian/changelog ===
golang-github-linode-linodego (1.25.0-1) unstable; urgency=medium

  * New upstream release
  * Add new dependency golang-golang-x-text-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 13 Dec 2023 23:36:43 +0000

## golang-github-linode-linodego 1.28.0

=== test/Makefile ===
--- 
+++ 
@@ -6,3 +6,12 @@
 	LINODE_API_VERSION="v4beta" \
 	GO111MODULE="on" \
 	go test -v ./integration $(ARGS)
+
+.PHONY: smoketest
+
+smoketest:
+	@LINODE_FIXTURE_MODE="play" \
+	LINODE_TOKEN="awesometokenawesometokenawesometoken" \
+	LINODE_API_VERSION="v4beta" \
+	GO111MODULE="on" \
+	go test -v -run smoke ./integration/...

=== debian/changelog ===
golang-github-linode-linodego (1.28.0-1) unstable; urgency=medium

  * New upstream release - breaking change in InstanceConfigInterface

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 03 Feb 2024 19:15:19 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                golang-github-go-resty-resty-dev,
                golang-github-google-go-cmp-dev,
                golang-golang-x-net-dev,
+               golang-golang-x-text-dev,
                golang-gopkg-ini.v1-dev,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-linode-linodego
@@ -24,6 +25,7 @@
 Depends: golang-github-go-resty-resty-dev,
          golang-github-google-go-cmp-dev,
          golang-golang-x-net-dev,
+         golang-golang-x-text-dev,
          golang-gopkg-ini.v1-dev,
          ${misc:Depends},
 Description: Go client for Linode REST v4 API

=== debian/rules ===
#!/usr/bin/make -f

# k8s dependencies are not available in Debian
export DH_GOLANG_EXCLUDES := k8s test/integration

%:
	dh $@ --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/linode/linodego/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-linode-linodego 1.29.0

=== debian/changelog ===
golang-github-linode-linodego (1.29.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 07 Mar 2024 15:22:49 +0000

## golang-github-linode-linodego 1.35.0

=== debian/changelog ===
golang-github-linode-linodego (1.35.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0 (no changes)
  * Add new dependencies:
    - golang-github-jarcoal-httpmock-dev
    - golang-github-stretchr-testify-dev
    - golang-golang-x-oauth2-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 09 Jun 2024 14:30:50 +0000

## golang-github-linode-linodego 1.38.0

=== test/Makefile ===
--- 
+++ 
@@ -1,11 +1,16 @@
-.PHONY: test
+.PHONY: testint
 
-test:
+testint:
 	@LINODE_FIXTURE_MODE="play" \
 	LINODE_TOKEN="awesometokenawesometokenawesometoken" \
 	LINODE_API_VERSION="v4beta" \
 	GO111MODULE="on" \
 	go test -v ./integration $(ARGS)
+
+.PHONY: testunit
+
+testunit:
+	go test -v ./unit/...
 
 .PHONY: smoketest
 
@@ -15,3 +20,8 @@
 	LINODE_API_VERSION="v4beta" \
 	GO111MODULE="on" \
 	go test -v -run smoke ./integration/...
+
+
+.PHONY: unit-test
+unit-test:
+	go test -v ./unit $(ARGS)

=== debian/changelog ===
golang-github-linode-linodego (1.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Aug 2024 10:02:21 +0000

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,13 @@
                golang-any,
                golang-github-go-resty-resty-dev,
                golang-github-google-go-cmp-dev,
+               golang-github-jarcoal-httpmock-dev,
+               golang-github-stretchr-testify-dev,
                golang-golang-x-net-dev,
+               golang-golang-x-oauth2-dev,
                golang-golang-x-text-dev,
                golang-gopkg-ini.v1-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-linode-linodego
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-linode-linodego.git
 Homepage: https://github.com/linode/linodego
@@ -24,7 +27,10 @@
 Multi-Arch: foreign
 Depends: golang-github-go-resty-resty-dev,
          golang-github-google-go-cmp-dev,
+         golang-github-jarcoal-httpmock-dev,
+         golang-github-stretchr-testify-dev,
          golang-golang-x-net-dev,
+         golang-golang-x-oauth2-dev,
          golang-golang-x-text-dev,
          golang-gopkg-ini.v1-dev,
          ${misc:Depends},

## golang-github-linode-linodego 1.40.0

=== debian/changelog ===
golang-github-linode-linodego (1.40.0-1) unstable; urgency=medium

  * New upstream release
  * Bump golang-any Build-Depends version constraint (>= 2:1.22~)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 19 Sep 2024 13:24:48 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.22~),
                golang-github-go-resty-resty-dev,
                golang-github-google-go-cmp-dev,
                golang-github-jarcoal-httpmock-dev,

## golang-github-linode-linodego 1.43.0

=== debian/changelog ===
golang-github-linode-linodego (1.43.0-2) unstable; urgency=medium

  * Add new 0001-Disable-32-bit-incompatible-test.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 18 Dec 2024 16:47:22 +0000

golang-github-linode-linodego (1.43.0-1) unstable; urgency=medium

  * New upstream release
  * Include test fixtures for unit tests

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 16 Dec 2024 19:52:48 +0000

## golang-github-linode-linodego 1.44.1

=== test/Makefile ===
--- 
+++ 
@@ -15,9 +15,10 @@
 .PHONY: smoketest
 
 smoketest:
-	@LINODE_FIXTURE_MODE="play" \
-	LINODE_TOKEN="awesometokenawesometokenawesometoken" \
+	@LINODE_FIXTURE_MODE="record" \
+	LINODE_TOKEN=$(LINODE_TOKEN) \
 	LINODE_API_VERSION="v4beta" \
+	LINODE_URL="$(LINODE_URL)" \
 	GO111MODULE="on" \
 	go test -v -run smoke ./integration/...

## golang-github-linode-linodego 1.47.0

=== Makefile ===
--- 
+++ 
@@ -17,17 +17,18 @@
 
 SKIP_LINT ?= 0
 
-.PHONY: build vet test refresh-fixtures clean clean-cov clean-fixtures lint run_fixtures sanitize fixtures godoc testint testunit testcov tidy
+.PHONY: build vet test refresh-fixtures clean clean-cov clean-fixtures lint run_fixtures sanitize fixtures godoc test-int test-unit test-smoke testcov tidy
 
-test: build lint testunit testint
+test: build lint test-unit test-int
 
 citest: lint test
 
-testunit:
-	go test -v $(PACKAGES) $(ARGS)
+test-unit:
+	go test -v $(PACKAGES) $(TEST_ARGS)
+	cd test && make test-unit
 
-testint:
-	cd test && make test
+test-int:
+	cd test && make test-int
 
 testcov-func:
 	@go test -v -coverprofile="coverage.txt" . > /dev/null 2>&1
@@ -38,8 +39,8 @@
 	@go test -v -coverprofile="coverage.txt" . > /dev/null 2>&1
 	@go tool cover -html coverage.txt
 
-smoketest:
-	cd test && make smoketest
+test-smoke:
+	cd test && make test-smoke
 
 build: vet lint
 	go build ./...
@@ -76,7 +77,7 @@
 	LINODE_API_VERSION="v4beta" \
 	LINODE_URL="$(LINODE_URL)" \
 	GO111MODULE="on" \
-	go test -timeout=$(TEST_TIMEOUT) -v $(ARGS)
+	go test --tags $(TEST_TAGS) -timeout=$(TEST_TIMEOUT) -v $(TEST_ARGS)
 
 sanitize:
 	@echo "* Sanitizing fixtures"

=== test/Makefile ===
.PHONY: test-int

test-int:
	@LINODE_FIXTURE_MODE="play" \
	LINODE_TOKEN="awesometokenawesometokenawesometoken" \
	LINODE_API_VERSION="v4beta" \
	GO111MODULE="on" \
	go test -v ./integration $(TEST_ARGS)

.PHONY: test-unit

test-unit:
	go test -v ./unit/... $(TEST_ARGS)

.PHONY: test-smoke

test-smoke:
	@LINODE_FIXTURE_MODE="record" \
	LINODE_TOKEN=$(LINODE_TOKEN) \
	LINODE_API_VERSION="v4beta" \
	LINODE_URL="$(LINODE_URL)" \
	GO111MODULE="on" \
	go test -v -run smoke ./integration/...

=== debian/changelog ===
golang-github-linode-linodego (1.47.0-1) unstable; urgency=medium

  * New upstream release
  * Add new Build-Depends golang-golang-x-exp-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 03 Feb 2025 18:36:06 +0000

golang-github-linode-linodego (1.44.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add new Build-Depends golang-github-google-go-querystring-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 13 Jan 2025 11:34:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,10 @@
                golang-any (>= 2:1.22~),
                golang-github-go-resty-resty-dev,
                golang-github-google-go-cmp-dev,
+               golang-github-google-go-querystring-dev,
                golang-github-jarcoal-httpmock-dev,
                golang-github-stretchr-testify-dev,
+               golang-golang-x-exp-dev,
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-dev,
                golang-golang-x-text-dev,
@@ -29,6 +31,7 @@
          golang-github-google-go-cmp-dev,
          golang-github-jarcoal-httpmock-dev,
          golang-github-stretchr-testify-dev,
+         golang-golang-x-exp-dev,
          golang-golang-x-net-dev,
          golang-golang-x-oauth2-dev,
          golang-golang-x-text-dev,

=== debian/rules ===
#!/usr/bin/make -f

# k8s dependencies are not available in Debian
export DH_GOLANG_EXCLUDES := k8s test/integration

export DH_GOLANG_INSTALL_EXTRA := test/unit/fixtures

%:
	dh $@ --buildsystem=golang

## golang-github-linode-linodego 1.55.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 INTEGRATION_DIR := ./test/integration
 FIXTURES_DIR    := $(INTEGRATION_DIR)/fixtures
 
+TEST_TAGS := integration
 TEST_TIMEOUT := 5h
 
 SKIP_DOCKER       ?= 0
@@ -28,7 +29,7 @@
 	cd test && make test-unit
 
 test-int:
-	cd test && make test-int
+	cd test && make test-int TEST_TIMEOUT=$(TEST_TIMEOUT)
 
 testcov-func:
 	@go test -v -coverprofile="coverage.txt" . > /dev/null 2>&1
@@ -40,7 +41,7 @@
 	@go tool cover -html coverage.txt
 
 test-smoke:
-	cd test && make test-smoke
+	cd test && make test-smoke TEST_TIMEOUT=$(TEST_TIMEOUT)
 
 build: vet lint
 	go build ./...
@@ -77,7 +78,7 @@
 	LINODE_API_VERSION="v4beta" \
 	LINODE_URL="$(LINODE_URL)" \
 	GO111MODULE="on" \
-	go test --tags $(TEST_TAGS) -timeout=$(TEST_TIMEOUT) -v $(TEST_ARGS)
+	go test -timeout=$(TEST_TIMEOUT) -v $(TEST_ARGS)
 
 sanitize:
 	@echo "* Sanitizing fixtures"

=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	LINODE_TOKEN="awesometokenawesometokenawesometoken" \
 	LINODE_API_VERSION="v4beta" \
 	GO111MODULE="on" \
-	go test -v ./integration $(TEST_ARGS)
+	go test -v ./integration $(TEST_ARGS) -timeout=$(TEST_TIMEOUT)
 
 .PHONY: test-unit
 
@@ -20,4 +20,4 @@
 	LINODE_API_VERSION="v4beta" \
 	LINODE_URL="$(LINODE_URL)" \
 	GO111MODULE="on" \
-	go test -v -run smoke ./integration/...
+	go test -v -run smoke ./integration/... -timeout=$(TEST_TIMEOUT)

=== debian/changelog ===
golang-github-linode-linodego (1.55.0-1) unstable; urgency=medium

  * New upstream release
  * Split out new MySQL-related tests which also fail to build on 32-bit, due
    to integer overflows in test fixtures
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)
  * Add new 0002-Skip-internet-test.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 14 Aug 2025 23:31:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: golang-github-linode-linodego
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.22~),
@@ -17,11 +17,11 @@
                golang-golang-x-oauth2-dev,
                golang-golang-x-text-dev,
                golang-gopkg-ini.v1-dev,
-Standards-Version: 4.7.0
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-linode-linodego
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-linode-linodego.git
 Homepage: https://github.com/linode/linodego
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/linode/linodego
 
 Package: golang-github-linode-linodego-dev
